<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <IsPublishable>False</IsPublishable>
    <Trimming>full</Trimming>
    <EnforceCodeStyleInBuild>True</EnforceCodeStyleInBuild>
    <PlatformTarget>x64</PlatformTarget>
    <Platforms>x64</Platforms>
    <BaseIntermediateOutputPath>obj\</BaseIntermediateOutputPath>
    <BaseOutputPath>bin\</BaseOutputPath>
    <GenerateDocumentationFile>False</GenerateDocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <WarningLevel>9999</WarningLevel>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <WarningLevel>9999</WarningLevel>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Docnet.Core" Version="2.6.0" />
    <PackageReference Include="System.Drawing.Common" Version="8.0.0" />
  </ItemGroup>

  <ItemGroup>
    <None Update="config.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
